## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
CREATE TABLE [T] (
  a INTEGER,
  b TEXT,
  c REAL,
  d REAL
);
INSERT INTO T VALUES (1,'a',40.5,-70.0), (2,'b',-10.25,20.5), (3,'c',9e999,-9e999);
SELECT b FROM T WHERE ABS(c) > 5 AND ABS(d) > 5;
PRAGMA checkpoint_fullsync = ON;
-- PRAGMA trusted_schema = TRUE;

PRAGMA foreign_keys = NO;
PRAGMA writable_schema = OFF;
.log stderr
CREATE TABLE t1(a INT, b INT);
CREATE TABLE t2(c INT, d INT);
CREATE TABLE t3(e TEXT, f TEXT);
INSERT INTO t1 VALUES(-sinh(-(-(-(-(2147483648))))), 1);
INSERT INTO t2 VALUES(1, 2);
INSERT INTO t3	VALUES('abc', 'def');
SELECT * FROM t1, t2 LEFT JOIN t3 ON (t2.d=1) WHERE NOT t2.c = +t1.a;
SELECT * FROM t1 LEFT JOIN t2 ON (t2.c=+t1.a) LEFT JOIN t3 ON (t2.d IS NULL);

INSERT INTO t3 VALUES (NULL, NULL);
INSERT INTO t3 VALUES (NULL, NULL);
UPDATE t3 SET f = CURRENT_TIMESTAMP WHERE f IS NOT NULL;
ANALYZE;
INSERT INTO t2 DEFAULT VALUES;
INSERT INTO t1 VALUES (NULL, NULL);
INSERT INTO t2 VALUES (NULL, NULL);
REINDEX;
VACUUM main;
INSERT OR IGNORE INTO t1 VALUES (-2, 6);
ALTER TABLE t3 RENAME TO t3_r8251;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_957 AS SELECT a FROM t1;
SELECT LAST_VALUE(b) OVER (PARTITION BY b ORDER BY b RANGE BETWEEN 1 PRECEDING AND 1 FOLLOWING) FROM t1;
SELECT COUNT(b) FILTER (WHERE b IS NOT NULL) OVER (PARTITION BY b ORDER BY b) FROM t1;
ALTER TABLE t1 RENAME TO t1_r4556;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t3_1590 AS SELECT f FROM t3;
WITH RECURSIVE fib(a,b,n) AS (VALUES(1,1,1) UNION ALL SELECT b, a+b, n+1 FROM fib WHERE n<8) SELECT a, n FROM fib;
CREATE  VIEW IF NOT EXISTS v_t1_1083 AS SELECT a FROM t1;
SELECT LEAD(c) OVER (PARTITION BY c ORDER BY c) FROM t2;
CREATE TRIGGER IF NOT EXISTS trg_t1_5535 AFTER DELETE ON t1 BEGIN SELECT RAISE(ABORT, 'abort'); END;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

